#include "client.h"

namespace NRTYT {
    const NYT::TTransactionId& TTransaction::GetId() const {
        return Id;
    }
    NYT::ILockPtr TTransaction::Lock(
       const NYT::TYPath& path,
       NYT::ELockMode mode,
       const NYT::TLockOptions& options) {
       Y_UNUSED(path);
       Y_UNUSED(mode);
       Y_UNUSED(options);
       return nullptr;
    }

    void TTransaction::Unlock(
        const NYT::TYPath& path,
        const NYT::TUnlockOptions& options) {
        Y_UNUSED(path);
        Y_UNUSED(options);
    }

    void TTransaction::Commit() {
    }

    void TTransaction::Abort() {
    }

    void TTransaction::Ping() {
    }

    void TTransaction::Detach() {
    }
}
